org.apache.cassandra.cql3

## Class UserTypes.Setter

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.UserTypes.Setter

- Enclosing class:
    UserTypes

      public static class UserTypes.Setter
      extends Operation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

      `Operation.Addition, Operation.ColumnDeletion, Operation.ElementAddition, Operation.ElementDeletion, Operation.ElementSubtraction, Operation.FieldDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetField, Operation.SetValue, Operation.Substraction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.Operation

      `column, t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Setter(ColumnDefinition column, Term t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(DecoratedKey partitionKey, UpdateParameters params)` Execute the operation.

    - ### Methods inherited from class org.apache.cassandra.cql3.Operation

      `addFunctionsTo, collectMarkerSpecification, requiresRead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Setter

          public Setter(ColumnDefinition column,
                        Term t)

  - ### Method Detail

    - #### execute

          public void execute(DecoratedKey partitionKey,
                              UpdateParameters params)
                       throws InvalidRequestException

      Description copied from class: `Operation`
      Execute the operation.
      Specified by:
        `execute` in class `Operation`
      Parameters:
        `partitionKey` - partition key for the update.
        `params` - parameters of the update.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation